## shotwell-r1477.tar.gz

=== Makefile ===
PROGRAM = shotwell

VERSION = 0.5.1+trunk
GETTEXT_PACKAGE = $(PROGRAM)
BUILD_ROOT = 1

VALAC = valac
MIN_VALAC_VERSION = 0.8.0
INSTALL_PROGRAM = install
INSTALL_DATA = install -m 644

# defaults that may be overridden by configure.mk
PREFIX=/usr/local
SCHEMA_FILE_DIR=/etc/gconf/schemas
BUILD_RELEASE=1

UNAME := $(shell uname)
SYSTEM := $(UNAME:MINGW32_%=MinGW)

ifeq "$(SYSTEM)" "Linux"
  LINUX = 1
endif

ifeq "$(SYSTEM)" "MinGW"
  WINDOWS = 1
endif

ifeq "$(SYSTEM)" "Darwin"
  MAC = 1
endif

-include configure.mk

ifdef ENABLE_BUILD_FOR_GLADE
all: lib$(PROGRAM).so $(PROGRAM)
else
all: $(PROGRAM)
endif

VALAFLAGS = -g --enable-checking --thread $(USER_VALAFLAGS)
DEFINES=_PREFIX='"$(PREFIX)"' _VERSION='"$(VERSION)"' GETTEXT_PACKAGE='"$(GETTEXT_PACKAGE)"' \
     _LANG_SUPPORT_DIR='"$(SYSTEM_LANG_DIR)"'

SUPPORTED_LANGUAGES=fr de it es pl et sv sk lv pt bg bn nl da zh_CN el ru pa hu en_GB uk ja
LOCAL_LANG_DIR=locale-langpack
SYSTEM_LANG_DIR=$(DESTDIR)$(PREFIX)/share/locale

SRC_FILES = \
	main.vala \
	AppWindow.vala \
	CollectionPage.vala \
	Thumbnail.vala \
	DatabaseTables.vala \
	ThumbnailCache.vala \
	image_util.vala \
	CheckerboardLayout.vala \
	PhotoPage.vala \
	Exif.vala \
	Page.vala \
	ImportPage.vala \
	GPhoto.vala \
	SortedList.vala \
	EventsDirectoryPage.vala \
	Dimensions.vala \
	Box.vala \
	Photo.vala \
	Orientation.vala \
	util.vala \
	BatchImport.vala \
	Dialogs.vala \
	Resources.vala \
	Debug.vala \
	Sidebar.vala \
	ColorTransformation.vala \
	EditingTools.vala \
	DataObject.vala \
	DataCollection.vala \
	LibraryWindow.vala \
	CameraTable.vala \
	DirectWindow.vala \
	Properties.vala \
	CustomComponents.vala \
	Config.vala \
	Event.vala \
	International.vala \
	Workers.vala \
	system.vala \
	AppDirs.vala \
	PixbufCache.vala \
	WebConnectors.vala \
	FacebookConnector.vala \
	CommandManager.vala \
	Commands.vala \
	SlideshowPage.vala \
	LibraryFiles.vala \
	FlickrConnector.vala \
	Printing.vala \
	Tag.vala \
	TagPage.vala \
	PicasaConnector.vala \
	Screensaver.vala \
	PhotoFileAdapter.vala \
	PhotoFileFormat.vala \
	PhotoFileSniffer.vala \
	GRaw.vala \
	GdkSupport.vala \
	JfifSupport.vala \
	RawSupport.vala \
	MimicManager.vala

ifndef LINUX
SRC_FILES += \
	GConf.vala
endif

VAPI_FILES = \
	libexif.vapi \
	libgphoto2.vapi \
	FixedKeyFile.vapi \
	ExtendedPosix.vapi \
	LConv.vapi \
	libraw.vapi

RESOURCE_FILES = \
	photo.ui \
	collection.ui \
	import.ui \
	fullscreen.ui \
	import_queue.ui \
	events_directory.ui \
	event.ui \
	direct.ui \
	tags.ui

SRC_HEADER_FILES = \
	gphoto.h

TEXT_FILES = \
	AUTHORS \
	COPYING \
	INSTALL \
	MAINTAINERS \
	NEWS \
	README \
	THANKS

VAPI_DIRS = \
	./vapi

HEADER_DIRS = \
	./vapi

LOCAL_PKGS = \
	FixedKeyFile \
	ExtendedPosix \
	posix \
	LConv

EXT_PKGS = \
	atk \
	gdk-2.0 \
	gee-1.0 \
	gtk+-2.0 \
	libexif \
	sqlite3

ifdef LINUX
LOCAL_PKGS += \
	libraw

EXT_PKGS += \
	gconf-2.0 \
	libgphoto2 \
	libsoup-2.4 \
	libxml-2.0 \
	unique-1.0 \
	webkit-1.0 \
	libusb \
	gudev-1.0 \
	dbus-glib-1
endif

ifdef MAC
EXT_PKGS += \
	ige-mac-integration
endif

EXT_PKG_VERSIONS = \
	gee-1.0 >= 0.5.0 \
	gtk+-2.0 >= 2.14.4 \
	libexif >= 0.6.16 \
	sqlite3 >= 3.5.9

ifdef LINUX
EXT_PKG_VERSIONS += \
	gconf-2.0 >= 2.22.0 \
	libgphoto2 >= 2.4.2 \
	libsoup-2.4 >= 2.26.0 \
	libxml-2.0 >= 2.6.32 \
	unique-1.0 >= 1.0.0 \
	webkit-1.0 >= 1.1.5 \
	libusb >= 0.1.12 \
	gudev-1.0 >= 145 \
	dbus-glib-1 >= 0.80
endif

PKGS = $(EXT_PKGS) $(LOCAL_PKGS)

ifndef BUILD_DIR
BUILD_DIR=src
endif

DESKTOP_APPLICATION_NAME="Shotwell Photo Manager"
DESKTOP_APPLICATION_COMMENT="Organize your photos"
DESKTOP_APPLICATION_CLASS="Photo Manager"
DIRECT_EDIT_DESKTOP_APPLICATION_NAME="Shotwell Photo Viewer"
DIRECT_EDIT_DESKTOP_APPLICATION_CLASS="Photo Viewer"
TEMPORARY_DESKTOP_FILES = misc/shotwell.desktop misc/shotwell-viewer.desktop

EXPANDED_PO_FILES = $(foreach po,$(SUPPORTED_LANGUAGES),po/$(po).po)
EXPANDED_SRC_FILES = $(foreach src,$(SRC_FILES),src/$(src))
EXPANDED_C_FILES = $(foreach src,$(SRC_FILES),$(BUILD_DIR)/$(src:.vala=.c))
EXPANDED_SAVE_TEMPS_FILES = $(foreach src,$(SRC_FILES),$(BUILD_DIR)/$(src:.vala=.vala.c))
EXPANDED_OBJ_FILES = $(foreach src,$(SRC_FILES),$(BUILD_DIR)/$(src:.vala=.o))

EXPANDED_VAPI_FILES = $(foreach vapi,$(VAPI_FILES),vapi/$(vapi))
EXPANDED_SRC_HEADER_FILES = $(foreach header,$(SRC_HEADER_FILES),vapi/$(header))
EXPANDED_RESOURCE_FILES = $(foreach res,$(RESOURCE_FILES),ui/$(res))
VALA_STAMP = $(BUILD_DIR)/.stamp
LANG_STAMP = $(LOCAL_LANG_DIR)/.langstamp

DIST_FILES = Makefile configure minver $(EXPANDED_SRC_FILES) $(EXPANDED_VAPI_FILES) \
	$(EXPANDED_SRC_HEADER_FILES) $(EXPANDED_RESOURCE_FILES) $(TEXT_FILES) icons/* misc/* \
	$(EXPANDED_PO_FILES) po/shotwell.pot vapi/*

DIST_TAR = $(PROGRAM)-$(VERSION).tar
DIST_TAR_BZ2 = $(DIST_TAR).bz2
DIST_TAR_GZ = $(DIST_TAR).gz
PACKAGE_ORIG_GZ = $(PROGRAM)_`parsechangelog | grep Version | sed 's/.*: //'`.orig.tar.gz

VALA_CFLAGS = `pkg-config --cflags $(EXT_PKGS) gthread-2.0` $(foreach hdir,$(HEADER_DIRS),-I$(hdir)) \
	$(foreach def,$(DEFINES),-D$(def))

VALA_LDFLAGS = `pkg-config --libs $(EXT_PKGS) gthread-2.0`

ifdef WINDOWS
  VALA_DEFINES = -D WINDOWS -D NO_CAMERA -D NO_PRINTING -D NO_PUBLISHING -D NO_LIBUNIQUE -D NO_EXTENDED_POSIX -D NO_SET_BACKGROUND -D NO_RAW
  EXPANDED_OBJ_FILES += src/windows.o
  RESOURCES = shotwell.res

ifndef BUILD_DEBUG
# -mwindows prevents a console window from appearing when we run Shotwell, but also hides
# all logging/debugging output, so we specify it only in a release build.
  VALA_LDFLAGS += -mwindows
endif  

shotwell.res: windows/shotwell.rc
	windres windows/shotwell.rc -O coff -o shotwell.res

endif

ifdef MAC
  VALA_DEFINES = -D MAC -D NO_CAMERA -D NO_PRINTING -D NO_PUBLISHING -D NO_LIBUNIQUE -D NO_SVG -D NO_RAW
  EXPANDED_OBJ_FILES += src/mac.o
endif

# setting CFLAGS in configure.mk overrides build type
ifndef CFLAGS
ifdef BUILD_DEBUG
CFLAGS = -O0 -g -pipe -fPIC
else
CFLAGS = -O2 -g -pipe -fPIC
endif
endif

ifdef LINUX
# This is for libraw, which does not have a .pc file yet
VALA_LDFLAGS += -lraw_r -lstdc++

# Required for gudev-1.0
CFLAGS += -DG_UDEV_API_IS_SUBJECT_TO_CHANGE
endif

$(LANG_STAMP): $(EXPANDED_PO_FILES)
	$(foreach po,$(SUPPORTED_LANGUAGES),`mkdir -p $(LOCAL_LANG_DIR)/$(po)/LC_MESSAGES ; \
        msgfmt -o $(LOCAL_LANG_DIR)/$(po)/LC_MESSAGES/shotwell.mo po/$(po).po`)
	touch $(LANG_STAMP)

clean:
	rm -f $(EXPANDED_C_FILES)
	rm -f $(EXPANDED_SAVE_TEMPS_FILES)
	rm -f $(EXPANDED_OBJ_FILES)
	rm -f $(VALA_STAMP)
	rm -rf $(PROGRAM)-$(VERSION)
	rm -f $(PROGRAM)
	rm -rf $(LOCAL_LANG_DIR)
	rm -f $(LANG_STAMP)
	rm -f $(TEMPORARY_DESKTOP_FILES)
	rm -f lib$(PROGRAM).so

cleantemps:
	rm -f $(EXPANDED_C_FILES)
	rm -f $(EXPANDED_SAVE_TEMPS_FILES)
	rm -f $(EXPANDED_OBJ_FILES)
	rm -f $(VALA_STAMP)
	rm -f $(LANG_STAMP)

package:
	$(MAKE) dist
	cp $(DIST_TAR_GZ) $(PACKAGE_ORIG_GZ)
	rm -f $(DIST_TAR_GZ)
	rm -f $(DIST_TAR_BZ2)

dist: $(DIST_FILES)
	mkdir -p $(PROGRAM)-$(VERSION)
	cp --parents $(DIST_FILES) $(PROGRAM)-$(VERSION)
	tar --bzip2 -cvf $(DIST_TAR_BZ2) $(PROGRAM)-$(VERSION)
	tar --gzip -cvf $(DIST_TAR_GZ) $(PROGRAM)-$(VERSION)
	rm -rf $(PROGRAM)-$(VERSION)

distclean: clean
	rm -f configure.mk

install:
	cp misc/shotwell.desktop.head misc/shotwell.desktop
	cp misc/shotwell-viewer.desktop.head misc/shotwell-viewer.desktop
	$(foreach lang,$(SUPPORTED_LANGUAGES), echo Name[$(lang)]=`TEXTDOMAINDIR=locale-langpack \
        LANGUAGE=$(lang) gettext --domain=shotwell $(DESKTOP_APPLICATION_NAME)` \
        >> misc/shotwell.desktop ; \
        echo GenericName[$(lang)]=`TEXTDOMAINDIR=locale-langpack LANGUAGE=$(lang) \
        gettext --domain=shotwell $(DESKTOP_APPLICATION_CLASS)` >> misc/shotwell.desktop ; \
        echo Comment[$(lang)]=`TEXTDOMAINDIR=locale-langpack LANGUAGE=$(lang) gettext \
        --domain=shotwell $(DESKTOP_APPLICATION_COMMENT)` >> misc/shotwell.desktop ; \
        echo Name[$(lang)]=`TEXTDOMAINDIR=locale-langpack LANGUAGE=$(lang) gettext \
        --domain=shotwell $(DIRECT_EDIT_DESKTOP_APPLICATION_NAME)` >> misc/shotwell-viewer.desktop ; \
        echo GenericName[$(lang)]=`TEXTDOMAINDIR=locale-langpack LANGUAGE=$(lang) gettext \
        --domain=shotwell $(DIRECT_EDIT_DESKTOP_APPLICATION_CLASS)` >> misc/shotwell-viewer.desktop ;)
	touch $(LANG_STAMP)
	mkdir -p $(DESTDIR)$(PREFIX)/bin
	$(INSTALL_PROGRAM) $(PROGRAM) $(DESTDIR)$(PREFIX)/bin
	mkdir -p $(DESTDIR)$(PREFIX)/share/shotwell/icons
	$(INSTALL_DATA) icons/* $(DESTDIR)$(PREFIX)/share/shotwell/icons
	mkdir -p $(DESTDIR)$(PREFIX)/share/icons/hicolor/scalable/apps
	$(INSTALL_DATA) icons/shotwell.svg $(DESTDIR)$(PREFIX)/share/icons/hicolor/scalable/apps
ifndef DISABLE_ICON_UPDATE
	-gtk-update-icon-cache -t -f $(DESTDIR)$(PREFIX)/share/icons/hicolor || :
endif
	mkdir -p $(DESTDIR)$(PREFIX)/share/shotwell/ui
	$(INSTALL_DATA) ui/* $(DESTDIR)$(PREFIX)/share/shotwell/ui
	mkdir -p $(DESTDIR)$(PREFIX)/share/applications
	$(INSTALL_DATA) misc/shotwell.desktop $(DESTDIR)$(PREFIX)/share/applications
	$(INSTALL_DATA) misc/shotwell-viewer.desktop $(DESTDIR)$(PREFIX)/share/applications
ifndef DISABLE_DESKTOP_UPDATE
	-update-desktop-database || :
endif
ifdef LINUX
ifndef DISABLE_SCHEMAS_INSTALL
	GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-install-rule misc/shotwell.schemas
else
	mkdir -p $(DESTDIR)$(SCHEMA_FILE_DIR)
	$(INSTALL_DATA) misc/shotwell.schemas $(DESTDIR)$(SCHEMA_FILE_DIR)
endif
endif
	-$(foreach lang,$(SUPPORTED_LANGUAGES),`mkdir -p $(SYSTEM_LANG_DIR)/$(lang)/LC_MESSAGES ; \
        $(INSTALL_DATA) $(LOCAL_LANG_DIR)/$(lang)/LC_MESSAGES/shotwell.mo \
            $(SYSTEM_LANG_DIR)/$(lang)/LC_MESSAGES/shotwell.mo`)

uninstall:
	rm -f $(DESTDIR)$(PREFIX)/bin/$(PROGRAM)
	rm -fr $(DESTDIR)$(PREFIX)/share/shotwell
	rm -fr $(DESTDIR)$(PREFIX)/share/icons/hicolor/scalable/apps/shotwell.svg
	rm -f $(DESTDIR)$(PREFIX)/share/applications/shotwell.desktop
	rm -f $(DESTDIR)$(PREFIX)/share/applications/shotwell-viewer.desktop
ifndef DISABLE_DESKTOP_UPDATE
	-update-desktop-database || :
endif
ifdef LINUX
ifndef DISABLE_SCHEMAS_INSTALL
	GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-uninstall-rule misc/shotwell.schemas
else
	rm -f $(DESTDIR)$(SCHEMA_FILE_DIR)/shotwell.schemas
endif
endif
	$(foreach lang,$(SUPPORTED_LANGUAGES),`rm -f $(SYSTEM_LANG_DIR)/$(lang)/LC_MESSAGES/shotwell.mo`)

$(VALA_STAMP): $(EXPANDED_SRC_FILES) $(EXPANDED_VAPI_FILES) $(EXPANDED_SRC_HEADER_FILES) Makefile \
	$(CONFIG_IN)
	@ ./minver `valac --version | awk '{print $$2}'` $(MIN_VALAC_VERSION) || ( echo 'Shotwell requires Vala compiler $(MIN_VALAC_VERSION) or greater.  You are running' `valac --version` '\b.'; exit 1 )
ifndef ASSUME_PKGS
ifdef EXT_PKG_VERSIONS
	pkg-config --print-errors --exists '$(EXT_PKG_VERSIONS)'
else ifdef EXT_PKGS
	pkg-config --print-errors --exists $(EXT_PKGS)
endif
endif
	@ type msgfmt > /dev/null || ( echo 'msgfmt (usually found in the gettext package) is missing and is required to build Shotwell. ' ; exit 1 )
	mkdir -p $(BUILD_DIR)
	$(VALAC) --ccode --directory=$(BUILD_DIR) --basedir=src $(VALAFLAGS) \
	$(foreach pkg,$(PKGS),--pkg=$(pkg)) \
	$(foreach vapidir,$(VAPI_DIRS),--vapidir=$(vapidir)) \
	$(foreach def,$(DEFINES),-X -D$(def)) \
	$(foreach hdir,$(HEADER_DIRS),-X -I$(hdir)) \
	$(VALA_DEFINES) \
	$(EXPANDED_SRC_FILES)
	touch $@

# Do not remove hard tab or at symbol; necessary for dependencies to complete.
$(EXPANDED_C_FILES): $(VALA_STAMP)
	@

$(EXPANDED_OBJ_FILES): %.o: %.c $(CONFIG_IN) Makefile
	$(CC) -c $(VALA_CFLAGS) $(CFLAGS) -o $@ $<

$(PROGRAM): $(EXPANDED_OBJ_FILES) $(RESOURCES) $(LANG_STAMP)
	$(CC) $(EXPANDED_OBJ_FILES) $(CFLAGS) $(RESOURCES) $(VALA_LDFLAGS) -export-dynamic -o $@

glade: lib$(PROGRAM).so

lib$(PROGRAM).so: $(EXPANDED_OBJ_FILES) $(RESOURCES) $(LANG_STAMP)
	$(CC) $(EXPANDED_OBJ_FILES) $(CFLAGS) $(RESOURCES) $(VALA_LDFLAGS) -export-dynamic -shared -o $@

shotwell-setup-$(VERSION).exe: $(PROGRAM) windows/winstall.iss
	iscc windows\winstall.iss
	mv setup.exe shotwell-setup-$(VERSION).exe

winstaller: shotwell-setup-$(VERSION).exe

=== debian/changelog ===
shotwell (0.5.0-1~karmic3) karmic; urgency=low

  * Photos can be tagged and organized by tag, creating a new
    tool for managing your photo collection
  * Printing
  * Photos can now be published to Google's Picasa Web Albums
    service
  * Photo exposure date and time can be set and shifted
  * Photos can be set as your desktop background directly
    from Shotwell
  * Photo import runs in the background, making imports smoother
    and more fluid
  * Publishing photos to web services is more responsive

 -- Lucas Beeler <lucas@yorba.org>  Thu, 11 Mar 2010 13:36:24 -0800

shotwell (0.4.3-1~karmic1) karmic; urgency=low

  * Updated Italian and French translations.
  * Windows theme installed correctly.
  * Problems unmounting camera fixed.

 -- Jim Nelson <jim@yorba.org>  Mon, 18 Jan 2010 14:09:39 -0800

shotwell (0.4.2-1~karmic1) karmic; urgency=low

  * Added Bulgarian, Portuguese, and Slovak translations.  Updated 
    German translation.
  * Windows installation fixed.
  * Crash when deleting photos from camera fixed.

 -- Jim Nelson <jim@yorba.org>  Mon, 04 Jan 2010 15:02:42 -0800

shotwell (0.4.1-1~jaunty1) jaunty; urgency=low

  * Minor update adding a script missing in the 0.4.0 release.

 -- Adam Dingle <adam@yorba.org>  Thu, 24 Dec 2009 08:07:04 -0500

shotwell (0.4.0-1~jaunty1) jaunty; urgency=low
  * Facebook and Flickr publishing.
  * Events may now be split and merged.
  * Alpha-release of Windows port now available.
  * Undo/redo.
  * Mark photos as favorite or hidden.  View only favorites or show hidden
    photos.
  * Duplicate photos.
  * Numerous bug fixes.

 -- Jim Nelson <jim@yorba.org>  Wed, 23 Dec 2009 14:37:49 -0800

shotwell (0.3.2-1~jaunty1) jaunty; urgency=low

  * Loosened photo pipeline assertion that checked for pixbuf scaling.
  * Better error handling for situation where the HAL daemon (hald) is not
    running or ready.

 -- Jim Nelson <jim@yorba.org>  Wed, 11 Nov 2009 15:16:34 -0800

shotwell (0.3.1-1~jaunty1) jaunty; urgency=low

  * Makefile changes to facilitate packaging.
  * Warnings caught by Vala 0.7.8 corrected.
  * Toolbar items now marked "important" where appropriate.
  * Binary dependencies corrected in Debian packaging.

 -- Jim Nelson <jim@yorba.org>  Mon, 09 Nov 2009 14:25:31 -0800

shotwell (0.3.0-1~jaunty1) jaunty; urgency=low

  * Major update with numerous feature additions and performance and 
    scalability enhancements.
  * Auto enhance button, shadows control, and histogram contrast expansion now
    available.
  * Hierarchical event tree in sidebar.  Events can now be renamed.
  * Background readahead to display full-window and fullscreen photos faster.
  * Crop aspect ratios.
  * Basic information pane to display photo title, exposure time, dimensions,
    and file size.
  * Configurable slideshow delay.
  * Direct edit mode.  Shotwell can open any JPEG file, move between other
    JPEGS in the same directory, and edit them with the same tools available in
    the photo manager.
  * Better keyboard handling for selecting photos and moving between pages on
    the sidebar.
  * In camera view, option to hide photos already imported into Shotwell.
    User now offered full report of imported photos and asked if they wish to
    delete the photos from the camera.
  * User-configurable items now stored persistently via GConf.
  * Code internationalized.  Partial French translation now available.

 -- Jim Nelson <jim@yorba.org>  Mon, 02 Nov 2009 13:40:58 -0800

shotwell (0.2.0-1~jaunty1) jaunty; urgency=low

  * Color histogram now available in adjustment tool.
  * Drag-and-drop now supports the modifier keys for linking and asking
    which operation to perform.
  * Shotwell no longer uses a hardcoded directory for storing imported
    photos.
  * A nasty bug causing the X server to crash under compiz was fixed.
    (#380)
  * Support for libgee-0.3.0.

 -- Jim Nelson <jim@yorba.org>  Wed, 05 Aug 2009 16:02:02 -0700 

shotwell (0.1.2-1) jaunty; urgency=low

  * Red-eye reduction feature now available.
  * File/Import From Folder offers one more way to import photos into the
    library.
  * Color adjustment (exposure/saturation/tint/temperature) now available.
  * Support for Vala 0.7.5.

 -- Jim Nelson <jim@yorba.org>  Mon, 03 Aug 2009 11:27:11 -0700 

=== debian/control ===
Source: shotwell
Section: gnome
Priority: optional
Maintainer: Jim Nelson <jim@yorba.org>
Build-Depends: debhelper (>= 7), 
 valac (>= 0.7.10),
 libgee-dev (>= 0.5.0),
 libgtk2.0-dev (>= 2.14.4),
 libgphoto2-2-dev (>= 2.4.2),
 libexif-dev (>= 0.6.16),
 libsqlite3-dev (>= 3.5.9),
 libunique-dev (>= 1.0.0),
 libgconf2-dev (>= 2.22.0),
 libsoup2.4-dev (>= 2.26.0),
 libxml2 (>= 2.6.32),
 libwebkit-dev (>= 1.1.5),
 libusb-dev (>= 2:0.1.12),
 libgudev-1.0-dev (>= 145),
 libdbus-glib-1-dev (>= 0.80)
Standards-Version: 3.8.3
Homepage: http://www.yorba.org/shotwell

Package: shotwell
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 libgee2 (>= 0.5.0),
 libgtk2.0-0 (>= 2.14.4),
 libgphoto2-2 (>= 2.4.2),
 libexif12 (>= 0.6.16),
 sqlite3 (>= 3.5.9),
 libunique-1.0-0 (>= 1.0.0),
 libgconf2-4 (>= 2.22.0),
 libsoup2.4-1 (>= 2.26.0),
 libxml2 (>= 2.6.32),
 libwebkit-1.0-2 (>= 1.1.5),
 libusb-0.1-4 (>= 2:0.1.12),
 libgudev-1.0-0 (>= 145),
 libdbus-glib-1-2 (>= 0.80)
Description: Digital photo manager
 Shotwell is a digital photo manager designed for the GNOME desktop 
 environment. It allows you to import photos from disk or camera, organize 
 them in various ways, view them in full-window or fullscreen mode, and 
 export and share them with others by publishing them to popular web
 services.
 .
 Visit http://www.yorba.org/shotwell to read about the current state of 
 Shotwell's development.

=== debian/rules ===
#!/usr/bin/make -f
#
# Shotwell debian/rules file
# http://www.yorba.org/shotwell

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp

build-stamp: configure
	dh_testdir
	./configure --prefix=/usr
	$(MAKE)
	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp 
	[ ! -f Makefile ] || $(MAKE) distclean
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep  
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/shotwell install

binary-indep: install

binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_installman
	dh_icons
	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
